Search the workspace
curl --request GET \
--url https://fandom-api-preview.vercel.app/api/v1/search \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://fandom-api-preview.vercel.app/api/v1/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://fandom-api-preview.vercel.app/api/v1/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"campaigns": [
{
"id": "<string>",
"name": "<string>"
}
],
"audiences": [
{
"id": "<string>",
"name": "<string>"
}
],
"dataStores": [
{
"id": "<string>",
"name": "<string>"
}
],
"brands": [
{
"id": "<string>",
"name": "<string>"
}
]
}{
"error": {
"code": "not_found",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "not_found",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "not_found",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "not_found",
"message": "<string>",
"requestId": "<string>"
}
}Workspace
Search the workspace
Find campaigns, audiences, data stores and brands by name in one call.
Scope: campaigns:read.
GET
/
search
Search the workspace
curl --request GET \
--url https://fandom-api-preview.vercel.app/api/v1/search \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://fandom-api-preview.vercel.app/api/v1/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://fandom-api-preview.vercel.app/api/v1/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"campaigns": [
{
"id": "<string>",
"name": "<string>"
}
],
"audiences": [
{
"id": "<string>",
"name": "<string>"
}
],
"dataStores": [
{
"id": "<string>",
"name": "<string>"
}
],
"brands": [
{
"id": "<string>",
"name": "<string>"
}
]
}{
"error": {
"code": "not_found",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "not_found",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "not_found",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "not_found",
"message": "<string>",
"requestId": "<string>"
}
}Authorizations
An API key from Settings → API access, starting with fnd_.
Query Parameters
Text to look for in names.
Required string length:
1 - 200
